User asset
User Account Balance (Full Currency)
(openId, userId, mobileNumber, email) One of these four must be provided.
POST
/
platformapi
/
chainup
/
open
/
user
/
accountBalance
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/accountBalance
{
"code": "0",
"msg": "Success",
"message": null,
"data": {
"totalBalance": "100",
"totalBalanceSymbol": "BTC",
"platformCoin": "",
"allCoinMap": {
"LTC": {
"walletTransactionOpen": 1,
"isFiat": 0,
"normal_balance": "200",
"allBalance": "9000",
"exchange_symbol": "Trading pair",
"present_coin_balance": 9000,
"lock_position_balance": "2000",
"btcValuatin": "10000",
"sort": 20,
"depositOpen": 1,
"lock_grant_divided_balance": "999999",
"total_balance": "99999",
"nc_lock_balance": "98888",
"otcOpen": 1,
"depositMin": 20,
"checked": "true",
"coinName": "name",
"lock_balance": "3000",
"allBtcValuatin": "9918923",
"lock_position_v2_amount": "203213",
"withdrawOpen": 1,
"overcharge_balance": "9000"
},
"BCH": {
"walletTransactionOpen": 1,
"isFiat": 0,
"normal_balance": "200",
"allBalance": "9000",
"exchange_symbol": "Trading pair",
"present_coin_balance": 9000,
"lock_position_balance": "2000",
"btcValuatin": "10000",
"sort": 20,
"depositOpen": 1,
"lock_grant_divided_balance": "999999",
"total_balance": "99999",
"nc_lock_balance": "98888",
"otcOpen": 1,
"depositMin": 20,
"checked": "true",
"coinName": "name",
"lock_balance": "3000",
"allBtcValuatin": "9918923",
"lock_position_v2_amount": "203213",
"withdrawOpen": 1,
"overcharge_balance": "9000"
}
}
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
openId
string
openId, userId must pass one, while passing, take openId.
userId
string
openId, userId must pass one, while passing, take openId.
mobileNumber
string
Cell phone number.
Example: 09011223
email
string
User's email(openId,userId,mobileNumber,email)Four choices are required.
Example: xxxxx@xxx.com
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
message
string
Success or failure message
Example: null
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/accountBalance
{
"code": "0",
"msg": "Success",
"message": null,
"data": {
"totalBalance": "100",
"totalBalanceSymbol": "BTC",
"platformCoin": "",
"allCoinMap": {
"LTC": {
"walletTransactionOpen": 1,
"isFiat": 0,
"normal_balance": "200",
"allBalance": "9000",
"exchange_symbol": "Trading pair",
"present_coin_balance": 9000,
"lock_position_balance": "2000",
"btcValuatin": "10000",
"sort": 20,
"depositOpen": 1,
"lock_grant_divided_balance": "999999",
"total_balance": "99999",
"nc_lock_balance": "98888",
"otcOpen": 1,
"depositMin": 20,
"checked": "true",
"coinName": "name",
"lock_balance": "3000",
"allBtcValuatin": "9918923",
"lock_position_v2_amount": "203213",
"withdrawOpen": 1,
"overcharge_balance": "9000"
},
"BCH": {
"walletTransactionOpen": 1,
"isFiat": 0,
"normal_balance": "200",
"allBalance": "9000",
"exchange_symbol": "Trading pair",
"present_coin_balance": 9000,
"lock_position_balance": "2000",
"btcValuatin": "10000",
"sort": 20,
"depositOpen": 1,
"lock_grant_divided_balance": "999999",
"total_balance": "99999",
"nc_lock_balance": "98888",
"otcOpen": 1,
"depositMin": 20,
"checked": "true",
"coinName": "name",
"lock_balance": "3000",
"allBtcValuatin": "9918923",
"lock_position_v2_amount": "203213",
"withdrawOpen": 1,
"overcharge_balance": "9000"
}
}
}
}